export interface ExpressionSetCardProps {
  id: number;
  name: string;
  description: string;
  word_count: number;
}

export function ExpressionSetCard({
  id,
  name,
  description,
  word_count,
}: ExpressionSetCardProps) {
  return (
    <article className="expression-set-card">
      <h2 className="expression-set-card-name">
        {name}
        <span className="expression-set-card-word-count">
          {word_count} word(s)
        </span>
      </h2>
      <p className="expression-set-card-description">{description}</p>
    </article>
  );
}
